declare class ResponseError extends Error {
    response: Response;
    body: any;
    code: number;
    constructor(r: Response, body?: any);
}
type RequestInitEx = Omit<RequestInit, 'body'> & {
    body?: any;
    timeout?: number;
    text?: boolean;
    json?: boolean;
    blob?: boolean;
    buffer?: boolean;
    beforeRequest?: (url: RequestInfo, initEx: RequestInitEx) => void;
    customParser?: (r: Response, defaultParser: (r: Response) => Promise<any>) => Promise<any>;
};
declare function enableHTTPMethodOveride(enable: boolean): void;
export { enableHTTPMethodOveride, ResponseError, RequestInitEx as RequestInit };
declare const _default: (fetch: (url: any, init?: any) => Promise<any> & {
    abort: () => void;
}) => <T>(url: RequestInfo, initEx?: RequestInitEx) => Promise<T>;
export default _default;
